Gendarme(Gendarme 2.4.3.0)

NAME
Gendarme - Rule-based code analysis for Mono::

SYNOPSIS

gendarme [--config configfile] [--set ruleset] [--log file | --xml file | --html file] [options] assemblies ...

DESCRIPTION
Gendarme is a extensible rule-based tool to find problems in .NET applications and libraries. Gendarme inspects programs and libraries that contain code in ECMA CIL format (Mono and .NET) and looks for common problems with the code, problems that compiler do not typically check or have not historically checked.

OPTIONS

--config configfile
    Specify the configuration file. Default is 'rules.xml'.

--set ruleset
    Specify the set of rules to verify. Default is '*'.

--log file
    Save the text output to the specified file.

--xml file
    Save the output, formatted as XML, to the specified file.

--html file
    Save the output, formatted as HTML, to the specified file.

--ignore ignore-file
    Do not report the known defects that are part of the specified file.

--limit N
    Stop reporting after N defects are found.

--severity [all | audit[+] | low[+|-] | medium[+|-] | high[+|-] | critical[-]],...
    Filter the reported defects to include the specified severity levels. Default is 'medium+' (i.e. low and audit levels are ignored).

--confidence [all | low[+] | normal[+|-] | high[+|-] | total[-]],...
    Filter the reported defects to include the specified confidence levels. Default is 'normal+' (i.e. low level is ignored).

--quiet
    Display minimal output (results) from the runner.

--v|verbose
    Enable debugging output. You can supply several -v to augment debugging verbosity.

--version
    Display Gendarme's version number. This number match the Mono release where it was released.

assemblies ...
    Specify the assemblies to verify. You can specify multiple filenames, including masks (? and *). You can also provide a file that list several assemblies (one by line) by prefixing the filename with @ on the command line.

FILES

rules.xml
    This files contains a list of all the rulesets available to Gendarme. Each ruleset includes a list of assemblies in which some, or all, rules can be verified (include) or not (exclude). +.TP +.I gendarme.exe.config +Used by debug versions of Gendarme to enable logging for rules. A config +file will be generated automatically by the make file. To enable logging +for a rule add a switch using the rule's name and set the value to 1.

ENVIRONMENT VARIABLES

GENDARME_COLOR
    The runner will use colors when displaying defects on the console. By default colors are dark in order to display correctly on any background. You can change this default to "light" (lighter colors looks nice on a dark background, or "none" so no colors will be used. E.g.
        GENDARME_COLOR=none gendarme ...

COPYRIGHT
Copyright (C) 2005-2008 Novell, Inc (http://www.novell.com)

MAILING LISTS
Mailing lists are listed at the http://groups.google.com/group/gendarme

WEB SITE
http://www.mono-project.com/Gendarme

SEE ALSO
mono(1)